- Qt 5.5
- Qt3D Module
- C++ Classes
- QMouseController
- Qt 5.5.1 Reference Documentation

# QMouseController Class

(Qt3D::QMouseController)

Qt3D::QMouseController is in charge of dispatching mouse events to attached Qt3D::QMouseInput objects. More...

Header: | #include <QMouseController>
qmake: | QT += 3dcore
Since: | Qt 5.5
Inherits: | QNode

- List of all members, including inherited members

## Public Functions

| QMouseController(QNode * parent = 0)

- 6 public functions inherited from Qt3D::QNode

## Protected Functions

| ~QMouseController()

## Reimplemented Protected Functions

virtual void | sceneChangeEvent(const QSceneChangePtr & change)

- 3 protected functions inherited from Qt3D::QNode

### Additional Inherited Members

- 1 property inherited from Qt3D::QNode
- 1 signal inherited from Qt3D::QNode
- 1 static protected member inherited from Qt3D::QNode

## Detailed Description

Qt3D::QMouseController is in charge of dispatching mouse events to attached Qt3D::QMouseInput objects.

See also Qt3D::QMouseInput.

## Member Function Documentation

### QMouseController::QMouseController(QNode * parent = 0)

### `[protected]` QMouseController::~QMouseController()

Destroys this QMouseController object.

### `[virtual protected]` void QMouseController::sceneChangeEvent(const QSceneChangePtr & change)